| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | Static Private Attributes | List of all members
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase Class Reference
Inheritance diagram for GaudiKernel.DataObjectHandleBase.DataObjectHandleBase:
[legend]
Collaboration diagram for GaudiKernel.DataObjectHandleBase.DataObjectHandleBase:
[legend]

## Public Member Functions
def | __init__ (self, args)
def | fromString (self, s)
def | fromArray (self, a)
def | __str__ (self)
def | __repr__ (self)
def | toStringProperty (self)

## Public Attributes
| Path
| Mode
| Optional
| AlternativePaths

## Static Public Attributes
int | READ = 0
int | WRITE = 1
int | UPDATE = 2

## Static Private Attributes
tuple | __slots__ = ('Path', 'Mode', 'AlternativePaths', 'Optional')

## Detailed Description

Definition at line 10 of file DataObjectHandleBase.py.

## Constructor & Destructor Documentation

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__init__ | ( |  | self,
|  |  | args
| ) |  |

Definition at line 19 of file DataObjectHandleBase.py.

19 def __init__(self, *args):
20 object.__init__(self)
21
22 #if we have one arg: initiliaze from string
23 if len(args) is 1:
24 self.fromString(args[0])
25 else:
26 #else the data is given
27 self.fromArray(args)
28
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.fromArray
def fromArray(self, a)
Definition: DataObjectHandleBase.py:36
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.fromString
def fromString(self, s)
Definition: DataObjectHandleBase.py:29
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__init__
def __init__(self, args)
Definition: DataObjectHandleBase.py:19

## Member Function Documentation

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__repr__ | ( |  | self | ) |

Definition at line 55 of file DataObjectHandleBase.py.

55 def __repr__(self):
56 print "DOHB:__repr__", self.__class__.__name__
57 return "%s(""%s"")" % (self.__class__.__name__, self.__str__())
58
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__
def __str__(self)
Definition: DataObjectHandleBase.py:45
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__repr__
def __repr__(self)
Definition: DataObjectHandleBase.py:55

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__ | ( |  | self | ) |

Definition at line 45 of file DataObjectHandleBase.py.

45 def __str__(self):
46
47 s = self.Path + FIELD_SEP + str(int(self.Mode)) + FIELD_SEP
48 s += str(int(self.Optional)) + FIELD_SEP
49
50 for a in self.AlternativePaths:
51 s += ADDR_SEP + a
52
53 return s
54
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.AlternativePaths
AlternativePaths
Definition: DataObjectHandleBase.py:43
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__
def __str__(self)
Definition: DataObjectHandleBase.py:45
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:40
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Optional
Optional
Definition: DataObjectHandleBase.py:42
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Mode
Mode
Definition: DataObjectHandleBase.py:41

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.fromArray | ( |  | self,
|  |  | a
| ) |  |

Definition at line 36 of file DataObjectHandleBase.py.

36 def fromArray(self, a):
37 if len(a) != 4:
38 return
39
40 self.Path = a[0]
41 self.Mode = a[1]
42 self.Optional = a[2]
43 self.AlternativePaths = a[3]
44
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.AlternativePaths
AlternativePaths
Definition: DataObjectHandleBase.py:43
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.fromArray
def fromArray(self, a)
Definition: DataObjectHandleBase.py:36
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:40
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Optional
Optional
Definition: DataObjectHandleBase.py:42
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Mode
Mode
Definition: DataObjectHandleBase.py:41

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.fromString | ( |  | self,
|  |  | s
| ) |  |

Definition at line 29 of file DataObjectHandleBase.py.

29 def fromString(self,s):
30 if s == "":
31 return
32
33 fields = s.split(FIELD_SEP)
34 self.fromArray(fields)
35
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.fromArray
def fromArray(self, a)
Definition: DataObjectHandleBase.py:36
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.fromString
def fromString(self, s)
Definition: DataObjectHandleBase.py:29

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.toStringProperty | ( |  | self | ) |

Definition at line 59 of file DataObjectHandleBase.py.

59 def toStringProperty(self):
60 print "DOHB:toStringProperty"
61 return self.__str__()
62
63
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.toStringProperty
def toStringProperty(self)
Definition: DataObjectHandleBase.py:59
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__
def __str__(self)
Definition: DataObjectHandleBase.py:45

## Member Data Documentation

tuple GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__slots__ = ('Path', 'Mode', 'AlternativePaths', 'Optional')
| static private

Definition at line 12 of file DataObjectHandleBase.py.

GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.AlternativePaths

Definition at line 43 of file DataObjectHandleBase.py.

GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Mode

Definition at line 41 of file DataObjectHandleBase.py.

GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Optional

Definition at line 42 of file DataObjectHandleBase.py.

GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path

Definition at line 40 of file DataObjectHandleBase.py.

int GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.READ = 0
| static

Definition at line 15 of file DataObjectHandleBase.py.

int GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.UPDATE = 2
| static

Definition at line 17 of file DataObjectHandleBase.py.

int GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.WRITE = 1
| static

Definition at line 16 of file DataObjectHandleBase.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/DataObjectHandleBase.py